0

I am trying to upgrade from 4.6.16 to 4.7.7, although the upgrading process completes, and drupal site works perfectly fine, as soon as I go to civicrm URL i receive this error message. This happened when I tried to upgrade to 4.7.0 too.

Error: The website encountered an unexpected error. Please try again later.

I have followed upgrade instruction perfectly, all file permission is fine. Anyone knows where the problem may be?

Update: Log from civicrm

Feb 04 08:57:46  [info] $Fatal Error Details = Array
(
    [message] => Your database is not configured for version 4.7.1
    [code] => 
)


Feb 04 08:57:46  [info] $backTrace = #0 /www/demo/sites/all/modules/civicrm/CRM/Core/Error.php(366): CRM_Core_Error::backtrace("backTrace", TRUE)
#1 /www/demo/sites/all/modules/civicrm/CRM/Upgrade/Page/Upgrade.php(191): CRM_Core_Error::fatal("Your database is not configured for version 4.7.1")
#2 /www/demo/sites/all/modules/civicrm/CRM/Upgrade/Page/Upgrade.php(81): CRM_Upgrade_Page_Upgrade->runFinish()
#3 /www/demo/sites/all/modules/civicrm/CRM/Core/Invoke.php(312): CRM_Upgrade_Page_Upgrade->run((Array:2), NULL)
#4 /www/demo/sites/all/modules/civicrm/CRM/Core/Invoke.php(86): CRM_Core_Invoke::runItem((Array:13))
#5 /www/demo/sites/all/modules/civicrm/CRM/Core/Invoke.php(54): CRM_Core_Invoke::_invoke((Array:2))
#6 /www/demo/sites/all/modules/civicrm/drupal/civicrm.module(454): CRM_Core_Invoke::invoke((Array:2))
#7 [internal function](): civicrm_invoke("upgrade")
#8 /www/demo/includes/menu.inc(527): call_user_func_array("civicrm_invoke", (Array:1))
#9 /www/demo/index.php(21): menu_execute_active_handler()
#10 {main}

UPDATE 2: Log when visited the upgrade url after the error message. Now i have Tried with 4.7.7, but still no luck.

 backTrace

#0 /www/demo/sites/all/modules/civicrm/CRM/Core/Error.php(367): CRM_Core_Error::backtrace()
#1 /www/demo/sites/all/modules/civicrm/CRM/Upgrade/Page/Upgrade.php(98): CRM_Core_Error::fatal("Your database has already been upgraded to CiviCRM 4.7.7")
#2 /www/demo/sites/all/modules/civicrm/CRM/Upgrade/Page/Upgrade.php(73): CRM_Upgrade_Page_Upgrade->runIntro()
#3 /www/demo/sites/all/modules/civicrm/CRM/Core/Invoke.php(312): CRM_Upgrade_Page_Upgrade->run((Array:2), NULL)
#4 /www/demo/sites/all/modules/civicrm/CRM/Core/Invoke.php(86): CRM_Core_Invoke::runItem((Array:13))
#5 /www/demo/sites/all/modules/civicrm/CRM/Core/Invoke.php(54): CRM_Core_Invoke::_invoke((Array:2))
#6 /www/demo/sites/all/modules/civicrm/drupal/civicrm.module(454): CRM_Core_Invoke::invoke((Array:2))
#7 [internal function](): civicrm_invoke("upgrade")
#8 /www/demo/includes/menu.inc(527): call_user_func_array("civicrm_invoke", (Array:1))
#9 /www/demo/index.php(21): menu_execute_active_handler()
#10 {main}

PHP Error message is quiet large one so its on pastebin http://pastebin.com/wTZyNEf6

  • Have you checked /sites/default/files/civicrm/ConfigAndLog/CiviCRM.[longhashstring].log.[timestamp]? Answer you're looking for, is, most likely, there.Or, at least, an useful cue. – yurg Feb 4 '16 at 13:39
  • i have added the log – Tapash Feb 4 '16 at 15:54
  • Two questions: Is demo.com really your site, or have you done a find/replace on the domain name? The IP doesn't seem to resolve to anything from here, nor does it seem to be publicly accessible. Q2: Have you cleared the FastCGI cache? Something seems to be stuck on trying to go directly to the upgrade routine immediately. – G H May 16 '16 at 12:52
  • yes, I have replaced the domain name. – Tapash May 16 '16 at 13:00
2

This looks like step 11 failed. What happens when you visit: * Point your web browser to the following URL (you should already be logged in to Drupal with administrator-level permissions):

*- If "clean URLs" are enabled
http://<your_drupal_home>/civicrm/upgrade?reset=1

*- If "clean URLs" are NOT enabled
http://<your_drupal_home>/?q=civicrm/upgrade&reset=1

Do you see errors after this?

(Sorry, I mixed posts in my head and missed the Drupal piece. First version was for WordPress.)

  • Do you know what the Drupal equivalent of that url would be? Tapash's backtrace indicates Drupal with 'sites/all/modules' in the urls. – Allen Hutchison Feb 4 '16 at 17:19
  • 1
    I realized that and was apparently editing when you posted. Thanks for the catch. – G H Feb 4 '16 at 17:27
  • Hi Allen, Sorry for delayed response. I have updated the post with log when I visit the URL you have provided. This time I tried to upgrade to 4.7.7. and its still the same. – Tapash May 13 '16 at 13:30
  • I have update the post with PHP error log as well. – Tapash May 13 '16 at 13:36
1

Looks like I had couple of conflicting extensions that were causing the problem. one is UK Postcode look up and other is CiviRules. Once that is uninstalled, upgrade went smoothly.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.